All Classes Namespaces Functions Variables Groups Pages
FreetdsSqlUtil::FreetdsUniqueConstraintCommon Class Referenceabstract

common base class for unique constraints More...

Inheritance diagram for FreetdsSqlUtil::FreetdsUniqueConstraintCommon:
[legend]

## Public Member Functions

| clearIndex ()
| clears any index base for the constraint
| constructor (*string ts)
| creates the constraint with an optional filegroup name
| getIndexSql (reference sql, string name, *hash opts)
| adds index options onto the sql creation string
*string | getTablespace ()
| returns the filegroup name used for this constraint, if known
abstract AbstractIterator | keyIterator ()
| returns an iterator for keys iterating a list of string key names
bool | setIndexBase (string ix)
| sets the supporting index name
| setTablespace (*string ts)
| sets or clears the filegroup name

## Private Attributes

*string | filegroup
| any filegroup for the unique key index

## Detailed Description

common base class for unique constraints